Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.windows
Class SystemEventsImpl

    java.lang.Object
      com.sun.squawk.platform.SystemEvents
          com.sun.squawk.platform.windows.SystemEventsImpl

All Implemented Interfaces:
  Runnable

    public class SystemEventsImpl

extends SystemEvents

Author:
  dw29446

Field Summary
`protected Select` | `select`

Fields inherited from class com.sun.squawk.platform.SystemEvents
`max_wait, selectRunner`

Constructor Summary
`SystemEventsImpl()`

Method Summary
`static Pointer` | `FD_ALLOCATE()` Allocate a new fd_struct in c memory.
`static void` | `FD_COPY(Pointer fdset_orig, Pointer fdset_copy)` replaces an already allocated fdset_copy file descriptor set with a copy of fdset_orig.
`static void` | `FD_ZERO(Pointer fd_set)` initializes a descriptor set fdset to the null set
`void` | `waitForEvents(long timeout)` Poll the OS to see if there have been any events on the requested fds.
`void` | `waitForReadEvent(int fd)`
`void` | `waitForWriteEvent(int fd)`

Methods inherited from class com.sun.squawk.platform.SystemEvents
`cancelIOHandler, run, setMaxWait, startIO`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### select

    protected Select select

Constructor Detail

### SystemEventsImpl

    public SystemEventsImpl()

Method Detail

### FD_ZERO

    public static void FD_ZERO(Pointer fd_set)

  initializes a descriptor set fdset to the null set

  Parameters:
    `fd_set` -

### FD_COPY

    public static void FD_COPY(Pointer fdset_orig,
                               Pointer fdset_copy)

  replaces an already allocated fdset_copy file descriptor set with a copy of fdset_orig.

  Parameters:
    `fdset_orig` -
    `fdset_copy` -

### FD_ALLOCATE

    public static Pointer FD_ALLOCATE()

  Allocate a new fd_struct in c memory.

  Returns:
    pointer to new memory

### waitForEvents

    public void waitForEvents(long timeout)

  Poll the OS to see if there have been any events on the requested fds. Try not to allocate if there are no events...

  Specified by:
    `waitForEvents` in class `SystemEvents`
  Parameters:
    `timeout` -

### waitForReadEvent

    public void waitForReadEvent(int fd)

  Specified by:
    `waitForReadEvent` in class `SystemEvents`

### waitForWriteEvent

    public void waitForWriteEvent(int fd)

  Specified by:
    `waitForWriteEvent` in class `SystemEvents`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"